<?php
/**
 * Natural color scheme: Default Settings
 * 
 * @package cc2
 * @since 2.0.20
 */
$settings = array(
    'default_page_layout' => 'right',
    'default_post_layout' => 'right',
    'default_archive_layout' => 'right',
    'default_layout' => 'right',
    'header_textcolor' => '005b04',
    'background_color' => 'fff9db',
    'top_nav_hover_background_color' => 'eddeaf',
    'top_nav_active_background_color' => 'f2daa4',
    'top_nav_active_text_color' => '701919',
    'top_nav_dropdown_background_color' => 'f4f3dc',
    'top_nav_dropdown_text_color' => '701919',
    'top_nav_dropdown_hover_background_color' => '005b04',
    'secondary_nav_hover_background_color' => 'eddeaf',
    'secondary_nav_active_background_color' => 'eddeaf',
    'secondary_nav_active_text_color' => '701919',
    'secondary_nav_dropdown_background_color' => 'f4f3dc',
    'secondary_nav_dropdown_text_color' => '701919',
    'secondary_nav_dropdown_hover_background_color' => '005b04',
    'footer_column_border_bottom_color' => 'c4c4c4',
    'title_font_color' => '015670',
    'top_nav_background_color' => '005b04',
    'top_nav_text_color' => 'eddeaf',
    'top_nav_hover_text_color' => '701919',
    'secondary_nav_background_color' => '005b04',
    'secondary_nav_text_color' => 'eddeaf',
    'secondary_nav_hover_text_color' => '701919',
    'top_nav_brand_text_color' => '003044',
    'bottom_nav_brand_text_color' => '',
    'caption_title_bg_color' => 'ffffff',
    'caption_title_font_color' => '003044',
    'footer_fullwidth_border_bottom_color' => 'e5e5e5',
    'site_title_font_family' => 'Georgia, "Times New Roman", Times, serif',
    'site_title_position' => 'left',
    'display_header_home' => true,
    'display_header_posts' => true,
    'display_header_pages' => true,
    'display_header_archive' => true,
    'display_header_search' => true,
    'display_header_404' => true,
    'header_width' => 'fullwidth',
    'fixed_top_nav' => true,
    'top_nav_brand' => true,
    'title_font_family' => 'Garamond, "Times New Roman", Times, serif',
    'h1_font_size' => '48px',
    'h2_font_size' => '32px',
    'h3_font_size' => '28px',
    'h4_font_size' => '24px',
    'h5_font_size' => '22px',
    'h6_font_size' => '20px',
    'cc_list_post_style' => 'blog-style',
    'show_date' => true,
    'show_category' => true,
    'show_author' => true,
    'single_show_date' => true,
    'single_show_category' => true,
    'single_show_author' => true,
    'cc2_slideshow_style' => 'bubble-preview',
    'cc_slider_display' => 'home',
    'cc_slider_position' => 'cc_first_inside_main_content',
    'slider_effect_title' => 'bounceInLeft',
    'slider_effect_excerpt' => 'bounceInRight',
    'cc_slider_text_align' => 'center',
    'caption_title_font_family' => '"Century Gothic", "Avant Garde", Arial, sans-serif',
    'caption_title_shadow' => true,
    'caption_title_opacity' => '0.8',
    'caption_text_bg_color' => 'FBFBFB',
    'caption_text_font_color' => '333',
    'caption_text_font_family' => '"Century Gothic", "Avant Garde", Arial, sans-serif',
    'caption_text_shadow' => true,
    'caption_text_opacity' => '0.9',
    'cc_slider_height' => '420px',
    'cc_sliding_time' => '7000',
    'display_slider_nav' => true,
    'header_background_color' => 'fff9db',
    'link_underline' => 'just for mouse over',
    'widget_title_font_family' => '"Century Gothic", "Avant Garde", Arial, sans-serif',
    'hide_left_sidebar_on_phones' => true,
    'tagline_font_family' => 'Georgia, "Times New Roman", Times, serif',
    'tagline_text_color' => '701919',
    'top_nav_position' => 'left',
    'secondary_nav_position' => 'left',
    'color_scheme_top_nav' => 'custom',
    'color_scheme_bottom_nav' => 'light',
    'footer_fullwidth_background_color' => 'eee',
    'footer_fullwidth_border_top_color' => 'ddd',
    'show_author_image' => 
    array (
      'archive' => false,
      'single_post' => false,
    ),
    'header_image' => 'remove-header',
    'top_nav_font_family' => 'Georgia, "Times New Roman", Times, serif',
    'top_nav_font_size' => '20px',
    'top_nav_dropdown_hover_text_color' => 'eddeaf',
    'secondary_nav_dropdown_hover_text_color' => 'eddeaf',
    'widgets_header' => 
    array (
      'title_font_family' => '"Century Gothic", "Avant Garde", Arial, sans-serif',
      'title_text_color' => '003044',
      'link_color' => '77a8b7',
      'link_hover_color' => '608280',
    ),
    'widgets_footer_fullwidth' => 
    array (
      'title_font_family' => '"Century Gothic", "Avant Garde", Arial, sans-serif',
      'title_text_color' => '003044',
      'link_color' => '#77a8b7',
      'link_hover_background_color' => '608280',
    ),
    'widgets_footer_column' => 
    array (
      'title_font_family' => '"Century Gothic", "Avant Garde", Arial, sans-serif',
      'title_text_color' => '77a8b7',
      'link_color' => '77a8b7',
      'link_hover_color' => '08677f',
    ),
    'footer_column_border_top_color' => 'ddd',
    'footer_branding_show_credits' => true,
);
